#!/usr/bin/env bash

while read -r f s; do
    if [[ $f == true && $(awk -v s="$s" 'BEGIN{ if (s > 1.5) print 1; else print 0; }') == 1 ]]; then
        export GDK_SCALE=2
        export QT_SCALE_FACTOR=2
    fi
done < <(hyprctl monitors -j | jq -r '.[]|"\(.focused) \(.scale)"')

wofi --show drun